require "ship"
require "bullet"
require "enemies"

gamestate = "play"


explosion= {}
explosion[1] = love.graphics.newImage("images/explode/ex1.png")
explosion[2] = love.graphics.newImage("images/explode/ex2.png")
explosion[3] = love.graphics.newImage("images/explode/ex3.png")
explosion[4] = love.graphics.newImage("images/explode/ex4.png")
explosion[5] = love.graphics.newImage("images/explode/ex5.png")
explosion[6] = love.graphics.newImage("images/explode/ex6.png")
explosion[7] = love.graphics.newImage("images/explode/ex7.png")
explosion[8] = love.graphics.newImage("images/explode/ex8.png")
explosion[9] = love.graphics.newImage("images/explode/ex9.png")
explosion[10] = love.graphics.newImage("images/explode/ex10.png")
explosion[11] = love.graphics.newImage("images/explode/ex11.png")
explosion[12] = love.graphics.newImage("images/explode/ex12.png")
explosion[13] = love.graphics.newImage("images/explode/ex13.png")
explosion[14] = love.graphics.newImage("images/explode/ex14.png")
explosion[15] = love.graphics.newImage("images/explode/ex15.png")
explosion[16] = love.graphics.newImage("images/explode/ex16.png")
explosion[17] = love.graphics.newImage("images/explode/ex17.png")
explosion[18] = love.graphics.newImage("images/explode/ex18.png")
explosion[19] = love.graphics.newImage("images/explode/ex19.png")
explosion[20] = love.graphics.newImage("images/explode/ex20.png")
explosion[21] = love.graphics.newImage("images/explode/ex21.png")
explosion[22] = love.graphics.newImage("images/explode/ex22.png")
explosion[23] = love.graphics.newImage("images/explode/ex23.png")
explosion[24] = love.graphics.newImage("images/explode/ex24.png")
explosion[25] = love.graphics.newImage("images/explode/ex25.png")

animtimer = 0

anum = 1

function explode(dt)
	animtimer = animtimer+.001
	eximg = explosion[anum]
	
	if animtimer > 0.01 then
		anum = anum+1
		animtimer = 0
	end
	if anum > 25 then
		anim = 1
	end
end



function love.load()

end

function love.update(dt)
	if gamestate == "play" then
		ship_move(dt)
		bullet_shoot(dt)
		enemy_update(dt)
		for ei,ev in ipairs(enemy) do
			if ev.enemydead == true then
				explode(dt)
			end
		end
	end
end

function love.draw()
	if gamestate == "play" then
		love.graphics.setColor(255,255,255)
		love.graphics.draw(ship.img, ship.x, ship.y)
		bullet_draw()
		enemy_draw()
		screen_stuff()
		for ei,ev in ipairs(enemy) do
			if ev.enemydead == true then
				love.graphics.draw(eximg,ev.x,ev.y)
			end
		end
	end
end

spacefont = love.graphics.newFont("data/space font.ttf",20)

function screen_stuff()
	love.graphics.setColor(255,255,255)
	love.graphics.setFont(spacefont)
	love.graphics.print("Score: " ..score, 10, 10)
	love.graphics.print("Lives: " ..ship.lives, 10, 22)
	love.graphics.print("FPS : "..tostring(love.timer.getFPS()),10,34)
	
end